[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLDBFieldDefs

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TFieldDefs descendant with room to store engine-specific data

## Declaration

Source position: sqldb.pp line 136

`type TSQLDBFieldDefs = class(TFieldDefs)`
`end;`

## Inheritance

`TSQLDBFieldDefs` |  | TFieldDefs descendant with room to store engine-specific data
`TFieldDefs` |  | Collection of TFieldDef instances.
`TDefCollection` |  | Definition collection
`TOwnedCollection`
`TCollection`
`TPersistent,IFPObserved`
`TObject`

## Description

TSQLDBFieldDefs is a TFieldDefs descendent which creates TSQLDBFieldDef descendents when a new field is added to the field set, to provide storage for engine-specific field data.

## See also

TSQLDBFieldDef |  | TFieldDef descendant with room to store engine-specific data